// PhotoToWeb.scriptTerminology
{
    "Name" = "PhotoToWeb suite";
    "Description" = "PhotoToWeb specific classes.";
    
    "Classes" = {
        "NSApplication" = {
            "Name" = "application";
            "PluralName" = "applications";
            "Description" = "PhotoToWeb's top level scripting object.";
        };
        "Photo" = {
            "Name" = "photo";
            "PluralName" = "photos";
            "Description" = "A photograph.  A photo represents an image on disk";
            "Attributes" = {
                "photoRotation" = {
                    "Name" = "photorotation";
                    "Description" = "Rotate the photo by 0, 90, 180 or 270 degrees";
                };
                "originalPath" = {
                    "Name" = "location";
                    "Description" = "The full path to the image";
                };
                "extension" = {
                    "Name" = "extension";
                    "Description" = "The file extension - usually jpg - no need to set really.";
                };
                "filename" = {
                    "Name" = "filename";
                    "Description" = "Name of image without its extension.";
                };
                "title" = {
                    "Name" = "title";
                    "Description" = "The title of the photo for web pages.";
                };
                "caption" = {
                    "Name" = "caption";
                    "Description" = "The caption of the photo for web pages.";
                };
                "story" = {
                    "Name" = "story";
                    "Description" = "The story of the photo.";
                };
		"includeInWebOutput" = {
                    "Name" = "include in web output";
                    "Description" = "Determines if the photo is to be included in the web output - yes by default";
		};
                
                "imageNotInPhotoDirectory" = {
                    "Name" = "not in photo folder";
                    "Description" = "Automatically set to true if photo is not with the others in the photo album's main folder";
                };
                "customScale" = {
                    "Name" = "scale";
                    "Description" = "The web output scale from 0.05 to 1.0 of the original size";
                };
                "cropWidth" = {
                    "Name" = "cropwidth";
                    "Description" = "The width of the crop rectangle, if any, in pixels";
                };
                "cropHeight" = {
                    "Name" = "cropheight";
                    "Description" = "The height of the crop rectangle, if any, in pixels";
                };

                "cropX" = {
                    "Name" = "cropx";
                    "Description" = "The x origin of the crop rectangle, if any, in pixels";
                };
                "cropY" = {
                    "Name" = "cropy";
                    "Description" = "The y origin of the crop rectangle, if any, in pixels";
                };
            };
	};
        "CopyrightInfo" = {
            "Name" = "copyright info";
            "PluralName" = "copyright infos";
            "Description" = "The text and location of superimposed copyright information, if any.";
            "Attributes" = {
                "copyrightText" = {
                    "Name" = "text";
                    "Description" = "text of the copyright text";
                };
                "width" = {
                    "Name" = "width";
                    "Description" = "Width of the copyright text";
                };
                "height" = {
                    "Name" = "height";
                    "Description" = "height of the copyright text";
                };
                "rightLeftAlign" = {
                    "Name" = "horizontal alignment";
                    "Description" = "Right = 0, Center = 1, Left = 2";
                };
                "topBottomAlign" = {
                    "Name" = "vertical alignment";
                    "Description" = "Top = 0, Center = 1, Bottom = 2";
                };
            };
	};
        "PageHTML" = {
            "Name" = "pagehtml";
            "Description" = "abstract superclass of Document HTML options";
            "Attributes" = {
                "useDocumentRecord" = {
                    "Name" = "usedocumentrecord";
                    "Description" = "Not used in PhotoToWeb - here only to fully expose API";
                };
                "useNavigationBar" = {
                    "Name" = "use top navbar";
                    "Description" = "Add a navigation bar at the top of each web page";
                };
                "useNavigationBarBelow" = {
                    "Name" = "use bottom navbar";
                    "Description" = "Add a navigation bar to the bottom of each web page";
                };
                "bgColorFromView" = {
                    "Name" = "background color from page";
                    "Description" = "Not used in PhotoToWeb - here only to fully expose API";
                };
                "userSetBody" = {
                    "Name" = "usersetbody";
                    "Description" = "Set to true if you provide a bodystring below";
                };
                "centerTable" = {
                    "Name" = "center table";
                    "Description" = "If YES, then web content is floated in a centering table";
                };
                "useBiggerFonts" = {
                    "Name" = "use bigger fonts";
                    "Description" = "If YES, larger pointsize fonts will be used in web output";
                };
                "outputAsGIF" = {
                    "Name" = "imageformat";
                    "Description" = "Web image output format: 0 = JPEG, 1 = GIF, 2 = PNG, 3 = TIFF";
                };
                "bgColor" = {
                    "Name" = "backgroundcolor";
                    "Description" = "Color of background in web page output";
                };
                "textColor" = {
                    "Name" = "textcolor";
                    "Description" = "Color of text in web page output";
                };
                "linkColor" = {
                    "Name" = "linkcolor";
                    "Description" = "Color of text with a link in web page output";
                };
                "alinkColor" = {
                    "Name" = "activelinkcolor";
                    "Description" = "Color of an active link in web page output";
                };
                "vlinkColor" = {
                    "Name" = "visitedlinkcolor";
                    "Description" = "Color of a visited link in web page output";
                };
                "head" = {
                    "Name" = "headhtml";
                    "Description" = "Extra HTML to go into the <HEAD> portion";
                };
                "header" = {
                    "Name" = "header";
                    "Description" = "Extra HTML to go before content in web page";
                };
                "footer" = {
                    "Name" = "footer";
                    "Description" = "Extra HTML to go after the content in the web page";
                };
                "imageURL" = {
                    "Name" = "imagepath";
                    "Description" = "Path to background image in the web page";
                };
                "bodyString" = {
                    "Name" = "bodystring";
                    "Description" = "An HTML compliant <BODY> string - ignores other variables if set";
                };
                "keyWords" = {
                    "Name" = "keywords";
                    "Description" = "a string of comma-delimited key words for META tag";
                };
                "description" = {
                    "Name" = "description";
                    "Description" = "a string for the META tag description";
                };
            };
	};
        "DocumentHTML" = {
            "Name" = "htmloptions";
            "Description" = "the Document HTML options";
            "Attributes" = {
                "includeOriginalPhotos" = {
                    "Name" = "includeoriginals";
                    "Description" = "If YES, web page will link to and include full size photo";
                };
                "thumbNailSize" = {
                    "Name" = "with size";
                    "Description" = "largest pixel dimension of a thumbnail";
                };
                "thumbNailsPerRow" = {
                    "Name" = "thumbnailsperrow";
                    "Description" = "how many thumbnails go into one row in the TOC";
                };
                "thumbNailRows" = {
                    "Name" = "rowsperpage";
                    "Description" = "Maximum number of rows on one TOC page - will make more TOC pages if number of rows exceeds this value";
                };
                "coalesce" = {
                    "Name" = "coalesce";
                    "Description" = "Not used in PhotoToWeb";
                };
                "iconStyle" = {
                    "Name" = "iconstyle";
                    "Description" = "0-9 to choose a nav bar style - see Web Options... for choices";
                };
                "tableOfContentsType" = {
                    "Name" = "tocstyle";
                    "Description" = "What kind of TOC? -1 = none, 0 = thumbnails, 1 = plain text";
                };
                "useGraphicalNavBar" = {
                    "Name" = "imagenavbars";
                    "Description" = "0 = text nav bars, 1 means to use images";
                };
                "destinationDirectory" = {
                    "Name" = "destinationfolder";
                    "Description" = "full path to where web pages will be made - useful mostly for UI when adding links in a relative relationship to this path";
                };
                "pageTitlePrefix" = {
                    "Name" = "pagetitleprefix";
                    "Description" = "Goes before name of photo in <TITLE> tag";
                };
                "homePageName" = {
                    "Name" = "homelink";
                    "Description" = "Defines where the home button links to - eg: http://www.stone.com. index.html by default";
                };
                "copyrightInfo" = {
                    "Name" = "copyright";
                    "Description" = "Superimposed copyright information";
                };
            };
        };
        "PhotoDocument" = {
            "Name" = "album";
            "PluralName" = "albums";
            "Description" = "A PhotoToWeb album.";
            "Attributes" = {
                "photoDirectory" = {
                    "Name" = "photo folder";
                    "Description" = "The path of the folder of photos";
                };
                "slideTransition" = {
                    "Name" = "slide transition";
                    "Description" = "Which transition effect: 0 = none, 1 = down, 2 = up, 3 = right, 4 = left, 5 = dissolve, 6 = random";
                };
                "slideDelay" = {
                    "Name" = "slide delay";
                    "Description" = "Delay between transitioning slides in a slideshow";
                };
                "slideTransitionSteps" = {
                    "Name" = "slide steps";
                    "Description" = "The number of discreet animations in the transition";
                };
                "bitDepth" = {
                    "Name" = "bit depth";
                    "Description" = "Color = 520, Black & White = 264";
                };
                "titlePlacement" = {
                    "Name" = "title location";
                    "Description" = "Location of title: 0 = none, 1 = above photo, 2 = below photo";
                };
                "documentHTML" = {
                    "Name" = "web options";
                    "Description" = "Collection of options controlling web output look and feel.";
                };
            };
	};
        
        "AlbumsDocument" = {
            "Name" = "library";
            "PluralName" = "libraries";
            "Description" = "A collection of PhotoToWeb albums in one handy tree.";
            "Attributes" = {
                "applyTopLevelHTML" = {
                    "Name" = "apply library html";
                    "Description" = "The path of the folder of photos";
                };
            };
        };
        
        "AlbumNode" = {
            "Name" = "node";
            "PluralName" = "nodes";
            "Description" = "A node in a library tree";
            "Attributes" = {
                "albumTitle" = {
                    "Name" = "album title";
                    "Description" = "The title of the album at this node";
                };
                "folderName" = {
                    "Name" = "folder name";
                    "Description" = "The name of the folder at this node if not an album";
                };
                "albumPath" = {
                    "Name" = "album path";
                    "Description" = "The path of the folder at this node";
                };
                "parent" = {
                    "Name" = "parent";
                    "Description" = "The parent of this node";
                };
            };
        };
    };
    
    "Commands" = {
    	"MakeThumbs" = {
	    "Name" = "make thumbnails";
	    "Description" = "create web thumbnails from photos";
	    "Arguments" = {
		"File" = {
		    "Name" = "in";
		    "Description" = "The folder in which to save the thumbnails.";
		};
		"Size" = {
		    "Name" = "with size";
		    "Description" = "the size in pixels of greatest dimension of thumbnail";
		};
	    };
	};

	"AlbumCreate" = {
	    "Name" = "add photos";
	    "Description" = "Add images in folder or list to current album";
	    "Arguments" = {
		"File" = {
		    "Name" = "in";
		    "Description" = "The full path to the folder containing photos.";
		};
	    };
	};
	"WebCreate" = {
	    "Name" = "create web pages";
	    "Description" = "create web pages from document.";
	    "Arguments" = {
		"File" = {
		    "Name" = "in";
		    "Description" = "The folder in which to save the object.";
		};
		"SaveType" = {
		    "Name" = "with options";
		    "Description" = "single = single page,  only = this page only";
		};
	    };
	};
	"SlideShow" = {
	    "Name" = "slide show";
	    "Description" = "create web pages from document.";
	    "Arguments" = {
		"Delay" = {
		    "Name" = "for";
		    "Description" = "The number of seconds between each slide.";
		};
		"Transition" = {
		    "Name" = "using transition";
		    "Description" = "Which transition effect: 0 = none, 1 = down, 2 = up, 3 = right, 4 = left, 5 = dissolve, 6 = random";
		};
	    };
	};
    };
    
    "Synonyms" = {
        "tact" = {
            "Name" = "text contents";
            "Description" = "The textual contents of a text area graphic.";
        };
    };
}
